If you have a Linksys BEFSR41
router and connect to a VPN (Virtual Private Network) server sitting
behind it, DO NOT upgrade the firmware to the latest 1.45.6 version of
the firmware as the PPTP pass through is well broken in this version.
Stick to the 1.44.2 version. It might just save you all the trouble having
to set up a network sniffer to see if IP 47 GRE packets are passing
through the router. Especially if it happen to be on a Friday evening
that is on the eve of a long weekend.